/*
 * @Author: your name
 * @Date: 2022-01-11 16:54:24
 * @LastEditTime: 2022-01-12 09:26:01
 * @LastEditors: Please set LastEditors
 * @Description: 基础资料 - 档案管理
 * @FilePath: \goldenPig\src\utils\apis\basic-data\archivesAdmin.js
 */
import axios from "../../http";

export function baseFarmList(params) {
  return axios({
    url: '/eartag/baseFarmInfo/page',
    method: 'post',
    data: params
  })
}

export function baseFarmAdd(params) {
  return axios({
    url: '/eartag/baseFarmInfo/add',
    method: 'post',
    data: params
  })
}

export function baseFarmEdit(params) {
  return axios({
    url: '/eartag/baseFarmInfo/update',
    method: 'post',
    data: params
  })
}

export function baseFarmDel(params) {
  return axios({
    url: '/eartag/baseFarmInfo/remove',
    method: 'get',
    params: params
  })
}

// 获取所有牧场
export function baseFarmAll(params) {
  return axios({
    url: '/eartag/baseFarmInfo/list',
    method: 'get',
    params: params
  })
}
